Bug 508733 - kgtk is linked against 32 bit libs, missing binaries for kdialogd3/4
kgtk is linked against 32 bit libs, missing binaries for kdialogd3/4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kgtk (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Francois Aucamp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 12:51 EDT by John Koelndorfer
Modified: 2009-07-11 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.10.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Koelndorfer 2009-06-29 12:51:41 EDT
Description of problem:

When using the kgtk-wrapper to start up a gtk application, for example:
`/usr/bin/kgtk-wrapper /usr/bin/firefox`

I am met with:
ERROR: ld.so: object '/usr/lib/kgtk/libkgtk2.so' from LD_PRELOAD cannot be preloaded: ignored.

I tried to fix this by symlink:
cd /usr/lib/
ln -s /usr/lib64/kgtk/ kgtk

However, now I get:
/usr/bin/kdialogd-wrapper: line 23: kdialogd4: command not found
ERROR: Could not talk to KDialogD!!!

rpm -ql shows that kdialogd3 and kdialogd4 are missing from the kgtk package.


Version-Release number of selected component (if applicable):
kgtk-0.9.4-4.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install KDE if not already. (I did `yum groupinstall 'KDE (K Desktop Environment)'`)
2. Install kgtk (`yum install kgtk`).
3. Attempt to run a GTK application using the wrapper script.
  
Actual results:
Program starts but KDE dialogs are not used. There are errors on stderr.

Expected results:
Program runs using KDE dialogs.

Additional info:
None at this time.
Comment 1 Francois Aucamp 2009-06-30 03:50:56 EDT
Thanks for the bug report.

I've just updated kgtk to 0.10.1, but the problems persists on x86_64. However, kgtk is definately being linked to 64bit libs (ldd -r ldd -r /usr/lib64/kgtk/libkgtk2.so confirms), so the "kgtk-wrapper" bash script must be doing something silly. I'll patch it, push a test update and let you know asap.
Comment 2 Francois Aucamp 2009-06-30 03:53:27 EDT
Ugh. Found it, hardcoded "/usr/lib/" path in /usr/bin/kgtk2-wrapper. Fixing...
Comment 3 Fedora Update System 2009-06-30 06:22:24 EDT
kgtk-0.10.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kgtk-0.10.1-1.fc11
Comment 4 Fedora Update System 2009-06-30 08:20:36 EDT
kgtk-0.10.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kgtk-0.10.1-1.fc10
Comment 5 Fedora Update System 2009-07-02 01:48:00 EDT
kgtk-0.10.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kgtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7225
Comment 6 Fedora Update System 2009-07-11 13:04:48 EDT
kgtk-0.10.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-11 13:33:16 EDT
kgtk-0.10.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.